# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ valgrind-devel
# END SourceDeps(oneline)

 
%global version 2.3.2 

# determined by IB_API_VERSION in ./configure.ac
%global abi_ver 6:0:0 


Name:           haildb
Version:        %{version} 
Release:        alt1_5
Summary:        A relational database in shared library form

Group:          Development/C
# Original source and contributions from Percona are GNU GPLv2.
# Additional contributions from Google and Sun Microsystems are BSD
License:        GPLv2 and BSD
URL:            http://haildb.com
Source0:        http://launchpad.net/haildb/2.3/cairo/+download/haildb-2.3.2.tar.gz

BuildRequires:  zlib-devel
Provides:       haildb(abi) = %{abi_ver}

%if 0%{?el5}
BuildRequires:  gcc44 gcc44-c++
%endif
Source44: import.info


%description
A relational database in shared library form. Not a SQL database, although 
you can use this library as the storage backend for a SQL database.

%package devel
Summary:        Development headers and libraries
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers and libraries for HailDB.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%files
%doc ChangeLog README 
%doc COPYING COPYING.Google COPYING.Percona COPYING.Sun_Microsystems
%{_libdir}/libhaildb.so.*

%files devel
%{_includedir}/haildb.h
%{_libdir}/libhaildb.so


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.2-alt1_5
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.2-alt1_4
- initial fc import

